JobSplit.TaskSplitMetaInfo (Hadoop 0.20.2-cdh3u3 API)
Date: 2012-03-20

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapreduce.split
Class JobSplit.TaskSplitMetaInfo

    java.lang.Object
      org.apache.hadoop.mapreduce.split.JobSplit.TaskSplitMetaInfo

Enclosing class:
  JobSplit

    public static class JobSplit.TaskSplitMetaInfo

extends Object

This represents the meta information about the task split that the JobTracker creates

Constructor Summary
`JobSplit.TaskSplitMetaInfo()`
`JobSplit.TaskSplitMetaInfo(InputSplit split, long startOffset)`
`JobSplit.TaskSplitMetaInfo(JobSplit.TaskSplitIndex splitIndex, String[] locations, long inputDataLength)`
`JobSplit.TaskSplitMetaInfo(String[] locations, long startOffset, long inputDataLength)`

Method Summary
`long` | `getInputDataLength()`
`String[]` | `getLocations()`
`JobSplit.TaskSplitIndex` | `getSplitIndex()`
`String` | `getSplitLocation()`
`long` | `getStartOffset()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JobSplit.TaskSplitMetaInfo

    public JobSplit.TaskSplitMetaInfo()

### JobSplit.TaskSplitMetaInfo

    public JobSplit.TaskSplitMetaInfo(JobSplit.TaskSplitIndex splitIndex,
                                      String[] locations,
                                      long inputDataLength)

### JobSplit.TaskSplitMetaInfo

    public JobSplit.TaskSplitMetaInfo(InputSplit split,
                                      long startOffset)
                               throws InterruptedException,
                                      IOException

Throws:
  `InterruptedException`
  `IOException`

### JobSplit.TaskSplitMetaInfo

    public JobSplit.TaskSplitMetaInfo(String[] locations,
                                      long startOffset,
                                      long inputDataLength)

Method Detail

### getSplitIndex

    public JobSplit.TaskSplitIndex getSplitIndex()

### getSplitLocation

    public String getSplitLocation()

### getInputDataLength

    public long getInputDataLength()

### getLocations

    public String[] getLocations()

### getStartOffset

    public long getStartOffset()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation